﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using DEVSsharp;

namespace Automobil
{
    class Program
    {
        static void Main(string[] args)
        {
            SRTEngine engine = new SRTEngine(new Sistem("sistem"), 10000, ulaz);
            engine.RunConsoleMenu();
        }

        static PortValue ulaz(Devs model)
        {
            Sistem s = (Sistem)model;

            if(s != null)
            {
                String line = Console.ReadLine();

                double V = Double.Parse(line);

                return new PortValue(s.inputV, V);
            }

            return new PortValue(null, null);
        }
    }
}
