﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DEVSsharp;

namespace Ispit
{
    class Program
    {
        static void Main(string[] args)
        {
            Sistem sistem = new Sistem("sistem1");
            SRTEngine engine = new SRTEngine(sistem, 120, Ulaz);

            engine.RunConsoleMenu();
        }

        private static PortValue Ulaz(Devs model)
        {
            Sistem sistem = model as Sistem;

            String s = Console.ReadLine();
            if ( s == "lp" )
            {
                String ss = Console.ReadLine();
                String[] arg = ss.Split(' ');
                return new PortValue(sistem.lpIP, new Vector(Double.Parse(arg[0]), Double.Parse(arg[1]), Double.Parse(arg[2])));
            }
            else if ( s == "lv")
            {
                String ss = Console.ReadLine();
                String[] arg = ss.Split(' ');
                return new PortValue(sistem.lvIP, new Vector(Double.Parse(arg[0]), Double.Parse(arg[1]), Double.Parse(arg[2])));
            }

            return new PortValue(null, null);
        }
    }
}
