﻿using DEVSsharp;
using Stefan_Stamenkovic_91_2014.Models;
using Stefan_Stamenkovic_91_2014.Utils;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Stefan_Stamenkovic_91_2014
{
    class Program
    {
        static void Main(string[] args)
        {
            SRTEngine engine = new SRTEngine(new Game("Game"), 10000, InputCallback);

            engine.RunConsoleMenu();
        }

        private static PortValue InputCallback(Devs obj)
        {
            Game g = obj as Game;

            string[] args = Console.ReadLine().Split();

            switch(args[0])
            {
                case "p":
                    return new PortValue(g.InputPosition, Vector.Parse(args.Skip(1).ToArray()));
                case "d":
                    return new PortValue(g.InputDirection, Vector.Parse(args.Skip(1).ToArray()));
                case "s":
                    return new PortValue(g.InputSpeed, Double.Parse(args[1]));
            }

            return new PortValue(null, null);
        }
    }
}
