﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DEVSsharp;
using System.IO;

namespace Devs
{
    public class Stampac : Atomic
    {
        public StreamWriter sw;
        public string file;
        public InputPort inputL;
        public Stampac(string name, TimeUnit tu,string filename) : base(name, tu)
        {
            file = filename;
            inputL = AddIP("inputL");
        }

        public override void init()
        {
            if (sw != null)
                sw.Close();
            sw = new StreamWriter(file);
        }

        public override bool delta_x(PortValue x)
        {
            if(x.port == inputL)
            {
                Vektor i = (Vektor)x.value;
                sw.WriteLine(i.x + "," + i.y + "," + i.z);
                sw.Flush();
            }
            return false;
        }

        public override void delta_y(ref PortValue y)
        {
            throw new NotImplementedException();
        }     

        public override double tau()
        {
            return double.MaxValue;
        }
    }
}
