﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Devs
{
    public class Vektor
    {
        public double x, y, z;
        public Vektor(double x,double y,double z)
        {
            this.x = x;
            this.y = y;
            this.z = z;
        }

        public double getIntensity()
        {
            return Math.Sqrt(x * x + y * y + z * z);
        }

        public void saberi(Vektor b)
        {
            x += b.x;
            y += b.y;
            z += b.z;

        }

        public static Vektor pomnozi(Vektor a,double eps)
        {
            return new Vektor(a.x * eps, a.y * eps, a.z * eps);

        }

        public static Vektor norm(Vektor a)
        {
            Vektor norm_vector = new Vektor(a.x/a.getIntensity(), a.y / a.getIntensity(),a.z / a.getIntensity());
            return norm_vector;

        }
    }
}
